Storage and utilities for layout information in the score. Each manager has one set of page height/width, since svg element must have single length/width and viewbox. Each page can have different margins.

### Hierarchy

- SmoScoreModifierBase
  - SmoLayoutManager

## Index

### Constructors

- constructor

### Methods

- zoomToWidth

## Constructors

### constructor

- new SmoLayoutManager(params: SmoLayoutManagerParams): SmoLayoutManager

- Overrides SmoScoreModifierBase.constructor

  - Defined in src/smo/data/scoreModifiers.ts:346

  #### Parameters

  - ##### params: SmoLayoutManagerParams

  #### Returns SmoLayoutManager

## Methods

### zoomToWidth

- zoomToWidth(screenWidth: number): void

- - Defined in src/smo/data/scoreModifiers.ts:324

  Adjust zoom width so the score takes up the whole score area

  #### Parameters

  - ##### screenWidth: number

  #### Returns void

Generated using TypeDoc